"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantGlobalStats(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "chromosomeCounts",
        "consequenceTypesCount",
        "meanQuality",
        "numRecords",
        "passCount",
        "samplesCount",
        "transitionsCount",
        "transversionsCount",
        "variantTypeCounts",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_10 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.variant.avro.legacy.VariantGlobalStats": opencb_1_3_0.VariantGlobalStats,
        }

    __slots__ = [
        "chromosomeCounts",
        "consequenceTypesCount",
        "meanQuality",
        "numRecords",
        "passCount",
        "samplesCount",
        "transitionsCount",
        "transversionsCount",
        "variantTypeCounts",
    ]

    def __init__(
        self,
        chromosomeCounts,
        consequenceTypesCount,
        meanQuality,
        numRecords,
        passCount,
        samplesCount,
        transitionsCount,
        transversionsCount,
        variantTypeCounts,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.VariantGlobalStats model.

        :param chromosomeCounts:
        :type chromosomeCounts: dict[str, int]
        :param consequenceTypesCount:
        :type consequenceTypesCount: dict[str, int]
        :param meanQuality:
        :type meanQuality: double
        :param numRecords:
        :type numRecords: int
        :param passCount:
        :type passCount: int
        :param samplesCount:
        :type samplesCount: int
        :param transitionsCount:
        :type transitionsCount: int
        :param transversionsCount:
        :type transversionsCount: int
        :param variantTypeCounts:
        :type variantTypeCounts: dict[str, int]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
